[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Objects' (#rtl)

# TBufStream.Close

Flush data and Close the file.

## Declaration

Source position: objects.pp line 345

`procedure TBufStream.Close; virtual;`

## Description

Close flushes and closes the file if it was open, and sets Handle to -1. Contrary to Done it does not clean up the instance of TBufStream

For an example see TBufStream.Flush.

## Errors

None.

## See also

TStream.Close |  | Close the stream
TBufStream.Init |  | Initialize an instance of TBufStream and open the file.
TBufStream.Done |  | Close the file and cleans up the instance.

Documentation generated on: Feb 26 2014